Subject: bug#52184: closed (Re: bug#52184: Make failure for fresh git copy: Symbol's function definition is void: define-keymap--define)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 29 Nov 2021 17:19:01 +0000

Your bug report

#52184: Make failure for fresh git copy: Symbol's function definition is void: define-keymap--define

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52184: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52184
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52184: Make failure for fresh git copy: Symbol's function definition is void: define-keymap--define
From: Eli Zaretskii <[email-masked]>
To: JG <[email-masked]>
Cc: [email-masked]
Date: Mon, 29 Nov 2021 19:19:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: JG <[email-masked]>
> Date: Mon, 29 Nov 2021 08:43:06 -0800
> 
> Hi, I'm attempting to compile a fresh git copy of emacs on an Ubuntu
> 21.10 VM. Here is the commit info from git log -1:
> 
> commit c2c9e7e3cbb485d4240f9c9c44694f310711e4e9 (HEAD -> master, origin/master, origin/HEAD)
> 
> When running make I get the below failure, with the full make log
> attached:
> 
> Symbol's function definition is void: define-keymap--define
> make[1]: *** [Makefile:908: bootstrap-emacs.pdmp] Error 255
> make[1]: Leaving directory '/home/etest/emacs/src'
> make: *** [Makefile:452: src] Error 2

Either "make bootstrap", or manually remove all *.elc files that
reference define-keymap--define and then say "make" again.

I'm closing this bug report, as it isn't a bug.

Subject: Make failure for fresh git copy: Symbol's function definition is void: define-keymap--define
From: JG <[email-masked]>
To: [email-masked]
Date: Mon, 29 Nov 2021 08:43:06 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi, I'm attempting to compile a fresh git copy of emacs on an Ubuntu
21.10 VM. Here is the commit info from git log -1:

commit c2c9e7e3cbb485d4240f9c9c44694f310711e4e9 (HEAD -> master, origin/master, origin/HEAD)

When running make I get the below failure, with the full make log
attached:

Symbol's function definition is void: define-keymap--define
make[1]: *** [Makefile:908: bootstrap-emacs.pdmp] Error 255
make[1]: Leaving directory '/home/etest/emacs/src'
make: *** [Makefile:452: src] Error 2
make -C lib all
make[1]: Entering directory '/home/etest/emacs/lib'
  GEN      alloca.h
  GEN      dirent.h
  GEN      fcntl.h
  GEN      inttypes.h
  GEN      limits.h
  GEN      signal.h
  GEN      stdio.h
  GEN      stdlib.h
  GEN      string.h
  GEN      sys/random.h
  GEN      sys/select.h
  GEN      sys/stat.h
  GEN      sys/time.h
  GEN      sys/types.h
  GEN      time.h
  GEN      unistd.h
  CC       fingerprint.o
  CC       fcntl.o
  CC       fsusage.o
  CC       regex.o
  CC       sig2str.o
  CC       time_rz.o
  CC       acl-errno-valid.o
  CC       acl-internal.o
  CC       get-permissions.o
  CC       set-permissions.o
  CC       allocator.o
  CC       binary-io.o
  CC       c-ctype.o
  CC       c-strcasecmp.o
  CC       c-strncasecmp.o
  CC       careadlinkat.o
  CC       close-stream.o
  CC       count-leading-zeros.o
  CC       count-one-bits.o
  CC       count-trailing-zeros.o
  CC       md5-stream.o
  CC       md5.o
  CC       sha1.o
  CC       sha256.o
  CC       sha512.o
  CC       dtoastr.o
  CC       dtotimespec.o
  CC       malloc/dynarray_at_failure.o
  CC       malloc/dynarray_emplace_enlarge.o
  CC       malloc/dynarray_finalize.o
  CC       malloc/dynarray_resize.o
  CC       malloc/dynarray_resize_clear.o
  CC       file-has-acl.o
  CC       filemode.o
  CC       filevercmp.o
  CC       gettime.o
  CC       nproc.o
  CC       nstrftime.o
  CC       pipe2.o
  CC       qcopy-acl.o
  CC       stat-time.o
  CC       tempname.o
  CC       timespec.o
  CC       timespec-add.o
  CC       timespec-sub.o
  CC       u64.o
  CC       unistd.o
  CC       openat-die.o
  CC       save-cwd.o
  AR       libgnu.a
make[1]: Leaving directory '/home/etest/emacs/lib'
make -C lib-src all
make[1]: Entering directory '/home/etest/emacs/lib-src'
  CCLD     etags
  CCLD     ctags
  CCLD     emacsclient
  CCLD     ebrowse
  CCLD     hexl
  CC       pop.o
  CCLD     movemail
  CCLD     make-docfile
  CCLD     make-fingerprint
make[1]: Leaving directory '/home/etest/emacs/lib-src'
make -C src VCSWITNESS='$(srcdir)/../.git/logs/HEAD' BIN_DESTDIR=''/usr/local/bin/'' \
	 ELN_DESTDIR='/usr/local/lib/emacs/29.0.50/' all
make[1]: Entering directory '/home/etest/emacs/src'
  GEN      globals.h
make -C ../lwlib/ liblw.a
make[2]: Entering directory '/home/etest/emacs/lwlib'
  CC       lwlib.o
  CC       lwlib-Xlw.o
  CC       xlwmenu.o
  CC       lwlib-Xaw.o
  CC       lwlib-utils.o
  GEN      liblw.a
make[2]: Leaving directory '/home/etest/emacs/lwlib'
  CC       dispnew.o
  CC       frame.o
  CC       scroll.o
  CC       xdisp.o
  CC       menu.o
  CC       xmenu.o
  CC       window.o
  CC       charset.o
  CC       coding.o
  CC       category.o
  CC       ccl.o
  CC       character.o
  CC       chartab.o
  CC       bidi.o
  CC       cm.o
  CC       term.o
  CC       terminal.o
  CC       xfaces.o
  CC       xterm.o
  CC       xfns.o
  CC       xselect.o
  CC       xrdb.o
  CC       xsmfns.o
  CC       xsettings.o
  CC       emacs.o
  CC       keyboard.o
  CC       macros.o
  CC       keymap.o
  CC       sysdep.o
  CC       bignum.o
  CC       buffer.o
  CC       filelock.o
  CC       insdel.o
  CC       marker.o
  CC       minibuf.o
  CC       fileio.o
  CC       dired.o
  CC       cmds.o
  CC       casetab.o
  CC       casefiddle.o
  CC       indent.o
  CC       search.o
  CC       regex-emacs.o
  CC       undo.o
  CC       alloc.o
  CC       pdumper.o
  CC       data.o
  GEN      buildobj.h
  CC       doc.o
  CC       editfns.o
  CC       callint.o
  CC       eval.o
  CC       floatfns.o
  CC       fns.o
  CC       font.o
  CC       print.o
  CC       lread.o
  CC       emacs-module.o
  CC       syntax.o
  CC       bytecode.o
  CC       comp.o
  CC       dynlib.o
  CC       process.o
  CC       gnutls.o
  CC       callproc.o
  CC       region-cache.o
  CC       sound.o
  CC       timefns.o
  CC       atimer.o
  CC       doprnt.o
  CC       intervals.o
  CC       textprop.o
  CC       composite.o
  CC       xml.o
  CC       lcms.o
  CC       inotify.o
  CC       profiler.o
  CC       decompress.o
  CC       thread.o
  CC       systhread.o
  CC       xfont.o
  CC       fontset.o
  CC       fringe.o
  CC       image.o
  CC       terminfo.o
  CC       lastfile.o
  CC       widget.o
make -C ../admin/charsets all
make[2]: Entering directory '/home/etest/emacs/admin/charsets'
make[2]: Nothing to be done for 'all'.
make[2]: Leaving directory '/home/etest/emacs/admin/charsets'
make -C ../admin/unidata charscript.el
make[2]: Entering directory '/home/etest/emacs/admin/unidata'
make[2]: Nothing to be done for 'charscript.el'.
make[2]: Leaving directory '/home/etest/emacs/admin/unidata'
make -C ../admin/unidata emoji-zwj.el
make[2]: Entering directory '/home/etest/emacs/admin/unidata'
make[2]: Nothing to be done for 'emoji-zwj.el'.
make[2]: Leaving directory '/home/etest/emacs/admin/unidata'
  CCLD     temacs
/usr/bin/mkdir -p ../etc
make -C ../lisp update-subdirs
make[2]: Entering directory '/home/etest/emacs/lisp'
make[2]: Leaving directory '/home/etest/emacs/lisp'
cp -f temacs bootstrap-emacs
rm -f bootstrap-emacs.pdmp
./temacs --batch  -l loadup --temacs=pbootstrap \
	--bin-dest /usr/local/bin/ --eln-dest /usr/local/lib/emacs/29.0.50/
Loading loadup.el (source)...
Dump mode: pbootstrap
Using load-path (/home/etest/emacs/lisp /home/etest/emacs/lisp/emacs-lisp /home/etest/emacs/lisp/progmodes /home/etest/emacs/lisp/language /home/etest/emacs/lisp/international /home/etest/emacs/lisp/textmodes /home/etest/emacs/lisp/vc)
Loading emacs-lisp/byte-run (source)...
Loading emacs-lisp/backquote...
Loading subr (source)...
Loading keymap (source)...
Loading version...
Loading widget...
Loading custom...
Loading emacs-lisp/map-ynp...
Loading international/mule...
Loading international/mule-conf...
Loading env...
Loading format...
Loading bindings (source)...
Loading window...
Loading files...
Loading emacs-lisp/macroexp...
Loading /home/etest/emacs/lisp/cus-face.el (source)...
Loading /home/etest/emacs/lisp/faces.el (source)...
Loading /home/etest/emacs/lisp/loaddefs.el (source)...
Loading /home/etest/emacs/lisp/button.el (source)...
Loading emacs-lisp/nadvice...
Loading emacs-lisp/cl-preloaded...
Loading obarray...
Loading abbrev...
Loading simple...
Symbol's function definition is void: define-keymap--define
make[1]: *** [Makefile:908: bootstrap-emacs.pdmp] Error 255
make[1]: Leaving directory '/home/etest/emacs/src'
make: *** [Makefile:452: src] Error 2

I'd appreciate any help in troubleshooting this problem, not seeing any
similar mention in recent bugs on the mailing list.